---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.0677071362733841
    brdf:
      alpha_1:
        band_1: 0.19299841116591362
        band_11: 0.20376517001048783
        band_12: 0.09162108637828244
        band_2: 0.19299841116591362
        band_3: 0.30438388873027583
        band_4: 0.180877642632414
        band_5: 0.180877642632414
        band_6: 0.180877642632414
        band_7: 0.46642736654736167
        band_8: 0.46642736654736167
        band_8a: 0.46642736654736167
      alpha_2:
        band_1: 0.1963324052175605
        band_11: 0.18743701807445892
        band_12: 0.22141845525979004
        band_2: 0.1963324052175605
        band_3: 0.18667935603210684
        band_4: 0.21254121186990266
        band_5: 0.21254121186990266
        band_6: 0.21254121186990266
        band_7: 0.14363470466606998
        band_8: 0.14363470466606998
        band_8a: 0.14363470466606998
      id:
      - e913a825-8673-5d9b-978a-86d4e17f8b74
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.27
    water_vapour:
      id:
      - 399a038c-3eab-5aa1-be67-3232d7c39f11
      tier: DEFINITIVE
      value: 3.9099998474121094
  id: 1384cb7d-c52e-4200-8f18-5ff80b7d3b4c
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1955.2615046476924
      BAND-11: 238.04225585908284
      BAND-12: 81.41196452627149
      BAND-2: 1998.6632499478478
      BAND-3: 1871.3748872643514
      BAND-4: 1527.9774415493732
      BAND-5: 1410.5201733576048
      BAND-6: 1287.1037805268609
      BAND-7: 1178.2708324065875
      BAND-8: 1043.5594807177015
      BAND-8A: 951.6439750958149
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-10-07 01:11:40.706347Z
    atime: 2022-05-26 10:58:33Z
    ctime: 2020-10-07 06:51:28Z
    mtime: 2020-10-07 06:51:22Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20201007T010731_N0209_R045_T53LQC_20201007T050728.zip
  system_information:
    hostname: gadi-cpu-clx-1035.gadi.nci.org.au
    runtime_id: c8e16e20-dce2-11ec-b7c2-00000199fe80
    time_processed: 2022-05-26 10:58:33.232439Z
    uname: 'Linux gadi-cpu-clx-1035.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 19.0
    green: 198.0
    red: 21.0
    teal: 41.0
    yellow: 22.0
  error_message: no errors
  final_qa_count: 258
  granule: S2A_OPER_MSI_L1C_TL_VGS1_20201007T050728_A027641_T53LQC_N02.09
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 0.68
      xy: 0.98
      y: 0.7
    abs_iterative_mean:
      x: 0.24
      xy: 0.37
      y: 0.28
    cep90: 0.81
    iterative_mean:
      x: 0.06
      xy: 0.2
      y: 0.19
    iterative_stddev:
      x: 0.34
      xy: 0.49
      y: 0.35
    mean:
      x: -0.09
      xy: 0.2
      y: 0.18
    stddev:
      x: 1.54
      xy: 2.12
      y: 1.47
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 22.232972020663503
    cloud: 33.03309544427523
    cloud_shadow: 3.9919276976519655
    snow: 1.8469115895434984
    water: 38.895093247865795
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 67.75281435695302
    cloud: 32.24718564304697
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
